Get Partner Data

Credentials

No credentials are documented for this endpoint.

This API endpoint is dedicated to providing the information regarding the Partner entity.

cUrl command (Paste to Postman Command line / import):

curl --location 'https://sandbox.payme.io/api/partners' \
--header 'Content-Type: application/json' \
--header 'PayMe-Partner-Key: yyyy_VVfcCERG' \
--header 'Cookie: payme_session=11dc63c0-59c2-4452-af4a-cfb0e9fc9a5b' \
--data ''

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Code samples

curl

curl -X GET 'https://sandbox.payme.io/api/partners' \
  -H 'Content-Type: application/json' \
  --data-raw '{}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/partners", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({}),
});

console.log(await response.text());

Python

import requests

response = requests.get(
    "https://sandbox.payme.io/api/partners",
    json={},
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partners');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — OK (success)

Field Type Description
status_code integer
page integer
items_per_page integer
items_total integer
items array
items[].display_name string
items[].description string
items[].created_at string
items[].activity_type string
items[].main_seller_payme_id string
items[].defaults object
items[].defaults.timezone string
items[].defaults.default_creation_plan string
items[].defaults.allow_foreign_cards boolean
items[].defaults.currencies array
items[].defaults.processing_limit integer
items[].defaults.market_fee_display_on_top boolean
items[].defaults.withdrawal_plan integer
items[].defaults.withdrawal_date integer
items[].technical object
items[].technical.callback_url string
items[].technical.return_url string
items[].technical.dashboard_url string
{
  "status_code": 0,
  "page": 1,
  "items_per_page": 1,
  "items_total": 1,
  "items": [
    {
      "display_name": "YYY",
      "description": null,
      "created_at": "2023-08-28 12:02:31",
      "activity_type": "One Off",
      "main_seller_payme_id": "MPL16932-24151QUF-ZZICVG6U-MY0G2V2N",
      "defaults": {
        "timezone": null,
        "default_creation_plan": "VPLN1580-718683JV-G2PZHZQW-END7P7WI",
        "allow_foreign_cards": true,
        "currencies": [
          "ILS"
        ],
        "processing_limit": 5000000,
        "market_fee_display_on_top": false,
        "withdrawal_plan": 3,
        "withdrawal_date": 1
      },
      "technical": {
        "callback_url": "",
        "return_url": "",
        "dashboard_url": "https://yyy.payme.io"
      }
    }
  ]
}